<?php

if(!defined('IN_BANDTOPIA'))
{
    exit;
}

require_once('../connection.php');

$fanslist = array(); //init as empty array


//login info for facebook, google+, myspace, and twitter
$fbuser = "platform";
$fbpass;

$googuser;
$googpass;

$mysuser;
$myspass;

$twuser = "twitter";
$twpass;

$artist; //whose page this is


function getLogins()
{
    //look up logins in database and assign to vars
}

function findProfilePic()
{
    //grab this artist's profile picture from the database
}



/*******************************************/ 
/*               Get Functions             */
/*******************************************/

function getFacebookWidget()
{
    //login and get embed HTML code
}

function getGoogleWidget()
{
    //login and get embed HTML code
}

function getMyspaceWidget()
{
    //login and get embed HTML code
}

function getTwitterWidget()
{
    //login and get embed HTML code
}




/*******************************************/ 
/*                 Fan Stuff               */
/*******************************************/

function getFans($site)
{
    //login and find followers/friends
}

function aggregateFans()
{
    //get fans from each site and throw them into the fanslist
}

function displayFans()
{
    //generate and output HTML code for a fanslist
}

function addFan()
{
    //functionality so a user can become a fan of the artist
}

function unFan()
{
    //functionality so a user can unfan this artist
}

function requestStreetTeamStatus()
{
    //functionality for requesting status
}

?>

<html>
<head>
</head>
<body>

<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_US/all.js#xfbml=1";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>

<div class="fb-like-box" data-href="http://www.facebook.com/platform" data-width="500" data-height="800" data-show-faces="true" data-stream="true" data-header="true"></div>


<script charset="utf-8" src="http://widgets.twimg.com/j/2/widget.js"></script>
<script>
new TWTR.Widget({
  version: 2,
  type: 'profile',
  rpp: 5,
  interval: 30000,
  width: 500,
  height: 800,
  theme: {
    shell: {
      background: '#333333',
      color: '#ffffff'
    },
    tweets: {
      background: '#000000',
      color: '#ffffff',
      links: '#4aed05'
    }
  },
  features: {
    scrollbar: false,
    loop: false,
    live: false,
    behavior: 'all'
  }
}).render().setUser('<?php echo $twuser ?>').start();
</script>

</body>
</html>